[Unit]
Description=LocalTunnel Server
Requires=docker.socket
Wants=network-online.target docker.socket
After=docker.service

[Service]
EnvironmentFile=-/etc/default/localtunnel-server
ExecStartPre=/bin/bash -e -x -c "test -z \"$(docker container ls -q -f name=^/%N$)\" || docker rm -f %N"
ExecStart=/usr/bin/docker run --net=host \
                          -e TZ="Europe/Helsinki" \
                          -e DEBUG="localtunnel:*" \
                          --restart=always \
{% if localtunnel_enable_papertrail_logging %}
                          --log-driver=syslog \
                          --log-opt syslog-address=tcp+tls://{{ localtunnel_log_address }} --log-opt tag={{ localtunnel_log_tag }} \
{% endif %}
                          --name=%N $IMAGE_NAME --domain {{ localtunnel_subdomain_prefix }}{{ localtunnel_base_domain }} --port 3000
ExecStop=/usr/bin/docker stop %N
ExecStopPost=/usr/bin/docker rm -f %N
ExecReload=/usr/bin/docker restart %N
Restart=on-failure
RestartSec=10s

[Install]
WantedBy=default.target
